> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get HVAC estimated savings (monthly or annual)



## OpenAPI

````yaml api-reference/openapi.json POST /v1/homes/{id}/hvac/estimate_savings
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/homes/{id}/hvac/estimate_savings:
    post:
      tags:
        - homes
      summary: get HVAC estimated savings (monthly or annual)
      operationId: ClientHomeApiKeyAuthController_estimateSavings_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HvacEstimateSavingsRequestDto'
            example:
              type: monthly
              targetTemp: 72
              targetCoolSetpoint: 73
              targetHeatSetpoint: 71
              minTemp: 70
              maxTemp: 74
              mode: AUTO
              start:
                month: 7
              days: 1
      responses:
        '200':
          description: Returns monthly or annual estimated savings based on type parameter
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    HvacEstimateSavingsRequestDto:
      type: object
      properties:
        rateData:
          type: object
          properties:
            tiers:
              type: array
              items:
                type: number
            weekdays:
              type: array
              items:
                type: array
                items:
                  type: number
            weekends:
              type: array
              items:
                type: array
                items:
                  type: number
          required:
            - tiers
            - weekdays
            - weekends
        targetTemp:
          default: 72
        targetCoolSetpoint:
          nullable: true
        targetHeatSetpoint:
          nullable: true
        minTemp:
          default: 70
        maxTemp:
          default: 74
        heatTransferCoefficient:
          type: number
          default: 1
        irradianceCoefficient:
          type: number
          default: 0.5
        coolingRate:
          type: number
          default: 1
        heatingRate:
          type: number
          default: 1
        chunkSize:
          type: number
          default: 96
        start:
          oneOf:
            - type: object
              properties:
                month:
                  type: number
                startTime: {}
              required:
                - month
                - startTime
            - type: object
              properties:
                month: {}
                startTime:
                  type: string
              required:
                - month
                - startTime
        days:
          type: number
        timeout:
          type: number
          default: 5
        startTime:
          type: string
        type:
          type: string
          enum:
            - monthly
            - annual
          x-enumNames:
            - MONTHLY
            - ANNUAL
        outdoorTemp:
          type: array
          items: {}
          nullable: true
        mode:
          type: string
          enum:
            - 'OFF'
            - HEAT
            - COOL
            - AUTO
          x-enumNames:
            - 'OFF'
            - HEAT
            - COOL
            - AUTO
        dispatchHoursPerDay:
          type: array
          items:
            type: array
            items:
              type: object
              properties:
                price:
                  type: number
                hour:
                  type: number
              required:
                - price
                - hour
          nullable: true
        leap:
          type: boolean
          nullable: true
        numBiddingHours:
          type: number
          nullable: true
        months:
          description: >-
            Optional calendar months to include, using 1-12 month numbers. Omit
            or pass null for all months.
          type: array
          items:
            description: Calendar month number, 1-12 where 1 = January and 12 = December.
            type: integer
            minimum: 1
            exclusiveMinimum: false
            maximum: 12
            exclusiveMaximum: false
          nullable: true
      required:
        - type
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````